Skip to main content
`Ctrl`+`K`

# MatFactorInfoInitialize

Initializes a `MatFactorInfo` data structure with default values.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFactorInfoInitialize(MatFactorInfo *info)

Not Collective

## Input Parameter

- info - the `MatFactorInfo` data structure

## Notes

The solvers are generally used through the `KSP` and `PC` objects, for example `PCLU`, `PCILU`, `PCCHOLESKY`, `PCICC`

Once the data structure is initialized one may change certain entries as desired for the particular factorization to be performed

## See Also

Matrices, `Mat`, `MatGetFactor()`, `MatFactorInfo`

## Level

developer

## Location

src/mat/interface/matrix.c

## Examples

src/ksp/ksp/tutorials/ex52.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages